/*globals module, require, console, exports*/

var _ = require('underscore');
var mod = require('./modify.js');


//becomes Document prototype
module.exports = {
  _desc : 'document',
  _log  : [],
  problem : function (evnt) {
    this._log.push([evnt, arguments]);
    return this._log.length - 1;
  },
  modify : function (modifier, options) {
    var key; 
    for ( key in modifier ) {
      if ( ( typeof this[key] !== "undefined"  ) && ( _.isFunction(this[key]) ) ) {
        this[key](modifier[key], options);
      } else {
        this.problem("key "+ key + " is not usable", modifier, options);
      }
    }
  }
};

_.extend(module.exports, mod);

//console.log(_.keys(module.exports)); 